/*
DL2 Monitor: ./pa/paraw.c
Copyright (C) 2002, Rolf Jger, Ulm (Germany)

See the file README for information on usage and redistribution
of this source code file, and for a DISCLAIMER OF ALL WARRANTIES.
*/

/*----------------------------------------------------------------------------
 * Datalink Monitor (paraw): Protocol Analysis (raw)
 * Print octet by octet in heximal notation.
 * default contains: -
 *
 *
 * Author: Rolf Jger,Ulm
 *----------------------------------------------------------------------------
 * YYYYMMDD  History
 * 20020330  created from scratch
 * $Id: paraw.c,v 1.3 2002/04/14 21:07:54 dv Exp $
 *----------------------------------------------------------------------------
*/
# include <stdio.h>
# include <string.h>
# include "lib/dl2pa.h"

int dl2_paraw(Dl2_Frame *frame,int verbose) {
  Octet *buffer = frame->buffer;
  int length = frame->length, i;
  for (i = 0; i < length; i++) printf("%02x",buffer[i]);
  frame->buffer = NULL;
  return length;
} //dl2_paraw

/***EOM***/
